{erl_opts, [debug_info]}.

{deps, [
    grpcbox,
    {pcep_server, {git, "git@github.com:stritzinger/pcep_server.git", {branch, "master"}}}
]}.

{shell, [
    {config, "config/dev.config"},
    {apps, [epce, tfte, tfpb, grpcbox]}
]}.

{project_app_dirs, ["apps/*", "../../proto/src/erlang"]}.

{relx, [
    {release, {tfte, "1.0.0"}, [
        runtime_tools,
        epce,
        grpcbox,
        tfpb,
        tfte
    ]},
    {vm_args_src, "config/vm.args.src"},
    {sys_config_src, "config/sys.config.src"},
    {dev_mode, true},
    {include_erts, false},
    {extended_start_script, true}
]}.

{profiles, [
    {prod, [
        {relx, [
            {dev_mode, false},
            {include_erts, true},
            {include_src, false}
        ]}
    ]}
]}.
